LEADER_EXTERNS();

void leader_start(void) {
	ergodox_right_led_3_on();
}

void leader_end(void) {
	ergodox_right_led_3_off();
}

void matrix_scan_user(void) {
	LEADER_DICTIONARY() {
		leading = false;
		leader_end();

		SEQ_TWO_KEYS(KC_E, KC_M) {
			SEND_STRING(SECRET_EMAIL);
		}

		SEQ_TWO_KEYS(KC_G, KC_M) {
			SEND_STRING(SECRET_GMAIL);
		}

		SEQ_TWO_KEYS(KC_L, KC_I) {
			SEND_STRING(SECRET_SCHOOL_EMAIL);
		}

		SEQ_TWO_KEYS(KC_K, KC_B) {
			layer_move(LAYER_KEYBOARD);
		}

		//SEQ_ONE_KEY(KC_F) {
		//	doesn't work, no deactivate
		//	also, this is slow since laeder key uses dumb logic
		//	set_oneshot_layer(LAYER_FKEYS, ONESHOT_START);
		//}

		SEQ_TWO_KEYS(KC_F, KC_1) { tap_code(KC_F1); }
		SEQ_TWO_KEYS(KC_F, KC_2) { tap_code(KC_F2); }
		SEQ_TWO_KEYS(KC_F, KC_3) { tap_code(KC_F3); }
		SEQ_TWO_KEYS(KC_F, KC_4) { tap_code(KC_F4); }
		SEQ_TWO_KEYS(KC_F, KC_5) { tap_code(KC_F5); }
		SEQ_TWO_KEYS(KC_F, KC_Q) { tap_code(KC_F6); }
		SEQ_TWO_KEYS(KC_F, KC_W) { tap_code(KC_F7); }
		SEQ_TWO_KEYS(KC_F, KC_E) { tap_code(KC_F8); }
		SEQ_TWO_KEYS(KC_F, KC_R) { tap_code(KC_F9); }
		SEQ_TWO_KEYS(KC_F, KC_T) { tap_code(KC_F10); }
	}
}